--- cgi-bin/openwebmail/openwebmail-main.pl	Tue Apr 13 13:30:17 2004
+++ cgi-bin/openwebmail/openwebmail-main.pl	Wed Apr 14 03:08:04 2004
@@ -97,6 +97,17 @@
    } else {
       listmessages();
    }
+} elsif ($action eq "learnspam" || $action eq "learnham") {
+   my @messageids = param('message_ids');
+   sabayeslearn(\@messageids,$folder) if ($#messageids>=0);
+   if (param('messageaftermove')) {
+      my $headers = param('headers') || $prefs{'headers'} || 'simple';
+      my $attmode = param('attmode') || 'simple';
+      my $escapedmessageid=ow::tool::escapeURL(param('message_id')||'');
+      print redirect(-location=>"$config{'ow_cgiurl'}/openwebmail-read.pl?sessionid=$thissession&folder=$escapedfolder&page=$page&sort=$sort&keyword=$escapedkeyword&searchtype=$searchtype&message_id=$escapedmessageid&action=readmessage&headers=$headers&attmode=$attmode");
+   } else {
+      listmessages();
+   }
 } elsif ($action eq "listmessages_afterlogin") {
    cleantrash($prefs{'trashreserveddays'});
    if ($quotalimit>0 && $quotausage>$quotalimit) {
@@ -359,12 +371,17 @@
 
    $html =~ s/\@\@\@LEFTMENUBARLINKS\@\@\@/$temphtml/;
 
+   $temphtml = '';
+   if ($config{'enable_spamassassin'} && $config{'sa_enable_bayesian'} && $prefs{'sa_enable'} && $prefs{'sa_use_bayes'}) {
+      $temphtml .= iconlink("spam.gif", $lang_text{'learnspam'}, qq|accesskey="S" href="Javascript:document.pageform.action.value='learnspam'; document.pageform.submit();"|);
+      $temphtml .= iconlink("ham.gif", $lang_text{'learnham'}, qq|accesskey="H" href="Javascript:document.pageform.action.value='learnham'; document.pageform.submit();"|);
+   }
    if ($folder eq 'mail-trash') {
-      $temphtml = iconlink("trash.gif", $lang_text{'emptytrash'}, qq|accesskey="Z" href="$main_url_with_keyword&amp;action=emptytrash&amp;page=$page&amp;longpage=$longpage" onclick="return confirm('$lang_text{emptytrash} ($trash_allmessages $lang_text{messages}) ?');"|);
+      $temphtml .= iconlink("trash.gif", $lang_text{'emptytrash'}, qq|accesskey="Z" href="$main_url_with_keyword&amp;action=emptytrash&amp;page=$page&amp;longpage=$longpage" onclick="return confirm('$lang_text{emptytrash} ($trash_allmessages $lang_text{messages}) ?');"|);
    } else {
       my $trashfolder='mail-trash';
       $trashfolder='DELETE' if ($quotalimit>0 && $quotausage>$quotalimit);
-      $temphtml = iconlink("totrash.gif", $lang_text{'totrash'}, qq|accesskey="Z" href="JavaScript:document.pageform.destination.value='$trashfolder'; document.pageform.movebutton.click();"|);
+      $temphtml .= iconlink("totrash.gif", $lang_text{'totrash'}, qq|accesskey="Z" href="JavaScript:document.pageform.destination.value='$trashfolder'; document.pageform.movebutton.click();"|);
    }
    $temphtml .= qq|&nbsp;\n|;
 
