--- cgi-bin/openwebmail/shares/ow-shared.pl	Tue Apr 13 05:05:49 2004
+++ cgi-bin/openwebmail/shares/ow-shared.pl	Mon Apr 12 01:14:08 2004
@@ -43,6 +44,7 @@
    enable_smartfilter enable_userfilter
    enable_webmail enable_spellcheck enable_calendar enable_webdisk 
    enable_sshterm enable_vdomain
+   enable_spamassassin sa_local_tests_only sa_enable_bayesian
    enable_pop3 pop3_delmail_by_default pop3_delmail_hidden pop3_usessl_by_default 
    authpop3_getmail authpop3_delmail authpop3_usessl
    webdisk_readonly webdisk_lsmailfolder webdisk_lshidden webdisk_lsunixspec webdisk_lssymlink
@@ -61,6 +63,10 @@
    default_abook_defaultfilter
    default_filter_badaddrformat default_filter_fakedsmtp
    default_filter_fakedfrom default_filter_fakedexecontenttype
+   default_sa_enable
+   default_sa_use_bayes default_sa_bayes_auto_learn
+   default_sa_use_blacklists default_sa_use_razor default_sa_use_dcc default_sa_use_pyzor
+   default_sa_move_spam
    default_calendar_showemptyhours default_calendar_reminderforglobal
    default_webdisk_confirmmovecopy default_webdisk_confirmdel
    default_webdisk_confirmcompress
@@ -126,6 +132,9 @@
    reparagraphorigmsg replywithorigmsg backupsentmsg sendcharset
    filter_repeatlimit filter_badaddrformat
    filter_fakedsmtp filter_fakedfrom filter_fakedexecontenttype
+   sa_enable sa_score_threshhold sa_use_bayes sa_bayes_auto_learn
+   sa_use_blacklists sa_use_razor sa_use_dcc sa_use_pyzor
+   sa_move_spam sa_spam_destination
    abook_width abook_height abook_buttonposition
    abook_defaultfilter abook_defaultsearchtype abook_defaultkeyword
    calendar_defaultview calendar_holidaydef
@@ -1601,7 +1617,7 @@
    return(ow::tool::untaint($dotdir)) if ($name eq '/');
 
    return(ow::tool::untaint("$dotdir/$name"))         if ($_is_dotpath{'root'}{$name});
-   return(ow::tool::untaint("$dotdir/webmail/$name")) if ($_is_dotpath{'webmail'}{$name} || $name=~/^filter\.book/);
+   return(ow::tool::untaint("$dotdir/webmail/$name")) if ($_is_dotpath{'webmail'}{$name} || $name=~/^filter\.book/ || $name=~/^spamassassin_user_prefs$/);
    return(ow::tool::untaint("$dotdir/webcal/$name"))  if ($_is_dotpath{'webcal'}{$name});
    return(ow::tool::untaint("$dotdir/webdisk/$name")) if ($_is_dotpath{'webdisk'}{$name});
    return(ow::tool::untaint("$dotdir/pop3/$name"))    if ($_is_dotpath{'pop3'}{$name} || $name=~/^uidl\./);
